/**
* @package MediaBox404_prg
* @copyright (C) 2004 - 2005 erreur404.org
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* MediaBox404 is Free Software
* @author vortex@erreur404.org
* $Id: mysql_utils.h,v 1.1.1.1 2005/05/28 18:21:18 bedlam Exp $
*/

void Insert_Log(MYSQL *mysql,
		mediabox404_config_t *mediabox404_config,
		unsigned int UserID,
		char* Code,
		unsigned int DataID,
		char* Arg1,
		char* Arg2,
		char* Arg3,
		char* Arg4,
		char* Arg5,
		char* Arg6,
		char* Arg7,
		char* Filename
		);
void Stop_Current_Stream(MYSQL *mysql,mediabox404_config_t *mediabox404_config);
void Reset_Last_Playlist(MYSQL *mysql,mediabox404_config_t *mediabox404_config);
void Insert_streamstack_data_begin(MYSQL *mysql,
		mediabox404_config_t *mediabox404_config,
		unsigned int PlaylistID,
		unsigned int DataID,
		unsigned int TrackID,
		char* TrackType);
void Insert_streamstack_data(MYSQL *mysql,
		mediabox404_config_t *mediabox404_config,
		unsigned int PlaylistID,
		unsigned int DataID,
		unsigned int TrackID,
		char* TrackType,
		int *nb_control_play);
void Insert_streamstack_live(MYSQL *mysql,
		mediabox404_config_t *mediabox404_config,
		unsigned int UserID,
		unsigned int ProgID,
		char* URL,
		char* LIVE_Format,
		unsigned int LIVE_Bitrate,
		unsigned int LIVE_Frequence,
		unsigned int LIVE_NbCanal,
		unsigned int LIVE_NbReconnect,
		unsigned int PlayTime);
void Insert_streamstack_relay(MYSQL *mysql,
		mediabox404_config_t *mediabox404_config,
		unsigned int UserID,
		unsigned int ProgID,
		char* URL,
		char* LIVE_Format,
		unsigned int LIVE_Bitrate,
		unsigned int LIVE_Frequence,
		unsigned int LIVE_NbCanal,
		unsigned int LIVE_NbReconnect,
		unsigned int PlayTime);
void Copy_MainPlaylist(MYSQL *mysql,
		mediabox404_config_t *mediabox404_config,
		unsigned int PlaylistID,
		unsigned int TrackID);
void Copy_Playlist(MYSQL *mysql,
		mediabox404_config_t *mediabox404_config,
		unsigned int PlaylistID,
		unsigned int TrackID);
void Copy_Promo(MYSQL *mysql,
		mediabox404_config_t *mediabox404_config,
		unsigned int PlaylistID,
		unsigned int TrackID);
void Copy_Jingle(MYSQL *mysql,
		mediabox404_config_t *mediabox404_config,
		unsigned int PlaylistID,
		unsigned int TrackID);
void Delete_ProgStackID(MYSQL *mysql,mediabox404_config_t *mediabox404_config,unsigned int ID);
void Delete_StreamStack(MYSQL *mysql,mediabox404_config_t *mediabox404_config);
void New_Program(MYSQL *mysql,mediabox404_config_t *mediabox404_config,char* datetime, unsigned int *prg_id, unsigned int *data_id, unsigned int *prg_type, unsigned int *PlayTime,char* MetaData,unsigned int *AutoProgDelay);
void Insert_Main_PL(MYSQL *mysql,mediabox404_config_t *mediabox404_config, int *nb_control_play);
void Insert_Jingle_end(MYSQL *mysql,mediabox404_config_t *mediabox404_config,int *nb_control_play);
void Insert_Jingle(MYSQL *mysql,mediabox404_config_t *mediabox404_config);
void Insert_Jingle_Prg_24(MYSQL *mysql,mediabox404_config_t *mediabox404_config,time_t BeginDate);
void Insert_Promo(MYSQL *mysql,mediabox404_config_t *mediabox404_config);
unsigned int Insert_PL(MYSQL *mysql,
		mediabox404_config_t *mediabox404_config,
		unsigned int PlaylistID,
		int *nb_control_play);
unsigned int Insert_Relay(MYSQL *mysql,
		mediabox404_config_t *mediabox404_config,
		unsigned int LiveID,
		unsigned int PlayTime);
void Update_CurrentPL(MYSQL *mysql,mediabox404_config_t *mediabox404_config,char* Type_stream,unsigned int user_id, unsigned int playlist_id, unsigned int track_id, unsigned int data_id,char* URL);
void Copy_tempstack_streamstack(MYSQL *mysql,mediabox404_config_t *mediabox404_config);
void Copy_streamstack_tempstack(MYSQL *mysql,mediabox404_config_t *mediabox404_config);
void Copy_Program(MYSQL *mysql,mediabox404_config_t *mediabox404_config,time_t *date_prg_origin,time_t *date_prg_destination);
void AddMetaData(MYSQL *mysql,mediabox404_config_t *mediabox404_config,char* MetaData);
