/**
* $Header: /home/cvs/mediabox404/scheduler404/src/xml_config.h,v 1.1.1.1 2005/05/28 18:21:19 bedlam Exp $
* @package MediaBox404_prg
* @copyright (C) 2004 - 2005 erreur404.org
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* MediaBox404 is Free Software
* @author vortex@erreur404.org
* $Id: xml_config.h,v 1.1.1.1 2005/05/28 18:21:19 bedlam Exp $
*/

#include <stdio.h>

typedef struct {
  /* MySQL configuration */
  char *hostname;
  char *usocket;
  int port;
  char *user;
  char *password;
  char *database; /* database name */
  char *mysql_options;
  char *streamstack;
  char *progstack;
  char *lastplaylist;
  char *pilotstack;
  char *log;
  char *tempstack;
  char *datapath;
  char *data;
  char *playlistdata;
  char *lastmainplaylist;
  char *lastpromo;
  char *lastjingle;
  char *programme;
  char *currentplaylisttype;
  char *playlist;
  char *live;
  char *metadata; 
  char *streamlog;
} sql_t;

typedef struct {
  /* Log */
  int verbose;
  FILE *logfile;
  char *base_directory;

  sql_t sql;

  /* Automation configuration */
  int program_timing; /* every 15min : in min*/
  int jingle_timing; /* every 15min : in min*/
  int promo_timing; /* every 15min : in min*/
  int period_control; /* every 15min : 1=15min*/
  int max_control; /* every 15min : 1=15min*/
  

} mediabox404_config_t;

int mediabox404_xml_parse_config_file (mediabox404_config_t *mediabox404_config, const char *configfile);
